Đến nội dung


Hình ảnh
- - - - -

[Đã xong] Lisp hide & show object


  • Please log in to reply
79 replies to this topic

#1 bemove

bemove

    biết lệnh divide

  • Vip
  • PipPipPipPipPipPip
  • 446 Bài viết
Điểm đánh giá: 1308 (rất tốt)

Đã gửi 04 March 2007 - 02:41 PM

Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn object
vis: hiện object
http://www.cadviet.com/upfiles/hideshow.lsp
  • 49

#2 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 20 April 2007 - 01:29 PM

Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn ọbect
vis: hiện object
http://www.cadviet.com/upfiles/hideshow.lsp

Trong diễn đàn này không có nút "thank" để cảm ơn cái nhỉ.
  • 5

#3 sirdo

sirdo

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 30 June 2007 - 10:27 PM

Hay quá nhỉ, lisp như cây đũa thần trong thế giới AutoCAD! Thật là tiện, thanks a lots!
  • 0

#4 vuduyhuynh

vuduyhuynh

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 October 2007 - 09:20 AM

KHÔNG THỂ NÓI LÀ TUYỆT VỜI MÀ PHẢI NÓI LÀ " TRÊN CẢ TUYỆT VỜI " TUYỆT CÚ MÈO LUÔN
  • 0

#5 thoclep

thoclep

    biết lệnh offset

  • Members
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 142 (tàm tạm)

Đã gửi 13 December 2007 - 12:43 PM

Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn object
vis: hiện object
http://www.cadviet.com/upfiles/hideshow.lsp

Tiện ích thật tuyệt vời! Đồng chí có thể bổ sung thêm lựa chọn là: chọn đối tượng ở lớp trên cùng(dùng select object chứ không pick chọn từng đối tượng)khi có nhiều đối tượng đè lên nhau.
Tôi lấy ví dụ như ở bản vẽ sau:
http://www.fileden.com/files/2007/6/1/1135...61206-1-500.zip
Trong bản vẽ dùng lệnh misert nhiều đối tượng block đè lên nhau.Mình đã dùng lệnh invis để tắt đối tượng lớp trên cùng, rồi xoá tất cả các đối tượng nằm dưới, nhưng phải dùng lệnh invis mà pick chọn từng đối tượng thì lâu quá!
Cám ơn!
  • 0

#6 hoangtrongbang

hoangtrongbang

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 December 2007 - 04:09 PM

Tiện ích thật tuyệt vời! Đồng chí có thể bổ sung thêm lựa chọn là: chọn đối tượng ở lớp trên cùng(dùng select object chứ không pick chọn từng đối tượng)khi có nhiều đối tượng đè lên nhau.
Tôi lấy ví dụ như ở bản vẽ sau:
http://www.fileden.com/files/2007/6/1/1135...61206-1-500.zip
Trong bản vẽ dùng lệnh misert nhiều đối tượng block đè lên nhau.Mình đã dùng lệnh invis để tắt đối tượng lớp trên cùng, rồi xoá tất cả các đối tượng nằm dưới, nhưng phải dùng lệnh invis mà pick chọn từng đối tượng thì lâu quá!
Cám ơn!





Các bác ơi em thấy cái này rất hay nhưng em không down đc, bác nào đã có lisp này rồi thì cho em xin được không?
Em Thank các bác trước
  • 0

#7 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 17 December 2007 - 05:24 PM

Các bác ơi em thấy cái này rất hay nhưng em không down đc, bác nào đã có lisp này rồi thì cho em xin được không?
Em Thank các bác trước



;======================Bemove====================================
; Hide & Show

(defun c:InVis (/ SSet Count Elem)

(defun Dxf (Id Obj)
(cdr (assoc Id (entget Obj)))
);end Dxf

(prompt "\nSelect object(s) to hide: ")
(cond
((setq SSet (ssget))
(repeat (setq Count (sslength SSet))
(setq Count (1- COunt)
Elem (ssname SSet Count))
(if (/= 4 (logand 4 (Dxf 70 (tblobjname "layer" (Dxf 8 Elem)))))
(if (Dxf 60 Elem)
(entmod (subst '(60 . 1) (assoc 60 (entget Elem)) (entget Elem)))
(entmod (append (entget Elem) (list '(60 . 1))))
)
(prompt "\nEntity on a locked layer. Cannot hide this entity. ")
);end if
);end repeat
)
);end cond
(princ)
);end c:InVis



(defun c:Vis (/ WhatNextSSet Count Elem)

(defun Dxf (Id Obj)
(cdr (assoc Id (entget Obj)))
);end Dxf

(cond
((setq SSet (ssget "_X" '((60 . 1))))
(initget "Yes No")
(setq WhatNext (cond
((getkword "\nAll hidden entities will be visible. Continue? No, : "))
(T "Yes")))
(cond
((= WhatNext "Yes")
(prompt "\nPlease wait...")
(repeat (setq Count (sslength SSet))
(setq Count (1- COunt)
Elem (ssname SSet Count))
(if (/= 4 (logand 4 (Dxf 70 (tblobjname "layer" (Dxf 8 Elem)))))
(entmod (subst '(60 . 0) '(60 . 1) (entget Elem)))
(prompt "\nEntity on a locked layer. Cannot make visible this entity. ")
);end if
);end repeat
(prompt "\nDone...")
)
);end cond
)
(T (prompt "\nNo objects was hidden. "))


  • 0

#8 thoclep

thoclep

    biết lệnh offset

  • Members
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 142 (tàm tạm)

Đã gửi 17 December 2007 - 06:51 PM

Các bác ơi em thấy cái này rất hay nhưng em không down đc, bác nào đã có lisp này rồi thì cho em xin được không?
Em Thank các bác trước

Đợt này mạng nó hơi chập chờn. Ban cho email di minh gui cho
  • 0

#9 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 17 December 2007 - 07:39 PM

Đợt này mạng nó hơi chập chờn. Ban cho email di minh gui cho

Mình post bên trên rồi đó thôi.
  • 0

#10 thoclep

thoclep

    biết lệnh offset

  • Members
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 142 (tàm tạm)

Đã gửi 17 December 2007 - 08:13 PM

Mình post bên trên rồi đó thôi.

Xin lỗi!Vội quá không để ý!
  • 0

#11 duyhoan

duyhoan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 June 2008 - 12:41 PM

Cam on nhieu !
Mot lisp that hay.
  • 0

#12 mrmoon273

mrmoon273

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 January 2009 - 09:17 AM

Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn object
vis: hiện object
http://www.cadviet.com/upfiles/hideshow.lsp


Lisp này tuyệt vời, cảm ơn bạn rất nhiều.

Mình hỏi thêm 1 chút, có thể edit lisp này để có thêm lệnh isolate objects đc không bạn nhỉ

cảm ơn bạn rất nhiều.
  • 0

#13 The-moon

The-moon

    biết vẽ polygon

  • Members
  • PipPip
  • 73 Bài viết
Điểm đánh giá: 36 (tàm tạm)

Đã gửi 15 January 2009 - 10:24 AM

Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn object
vis: hiện object
http://www.cadviet.com/upfiles/hideshow.lsp

Cảm ơn bạn nhé. Rất hay và hiệu quả
Have fun
  • 0

#14 tuan_thietkedien

tuan_thietkedien

    biết lệnh mirror

  • Members
  • PipPipPip
  • 153 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 17 January 2009 - 08:10 AM

Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn object
vis: hiện object
http://www.cadviet.com/upfiles/hideshow.lsp


Lệnh này mình cũng rất cần, cám ơn bác nhé. Mà bác có thể làm icon để click vào là sử dụng lệnh không hả bác?
  • 0

#15 maianla

maianla

    biết zoom

  • Members
  • Pip
  • 13 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 11 April 2009 - 03:05 PM

Trong diễn đàn này không có nút "thank" để cảm ơn cái nhỉ.

Có đấy , Nút đầu tiên bên phải màu xanh (Thanks)
  • 0
Không được trì hoãn ngày hôm nay những gì có thể trì hoãn ngày mai.

#16 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 12 June 2009 - 03:35 PM

Mọi người tự hỏi tại sao không có lệnh ẩn từng đối tượng mà không phải ẩn cả layer hay freeze cả layer. lisp đây
Invis: ẩn object
vis: hiện object
http://www.cadviet.com/upfiles/hideshow.lsp

Thank you very much
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#17 tamtron

tamtron

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 18 June 2009 - 03:36 AM

anh bemove ơi! em thấy lisp này tuyệt vời rồi! rất hữu ích! nhưng anh có thể thêm vào nó 1 lệnh nữa là lệnh "show only select" ko ạ! nếu được thì ko biết nói j hơn :X
  • 0

#18 nataca

nataca

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 712 Bài viết
Điểm đánh giá: 553 (tốt)

Đã gửi 18 June 2009 - 07:59 AM

anh bemove ơi! em thấy lisp này tuyệt vời rồi! rất hữu ích! nhưng anh có thể thêm vào nó 1 lệnh nữa là lệnh "show only select" ko ạ! nếu được thì ko biết nói j hơn :X

Đã có lisp này rồi. Mình nhớ không nhầm thì nó nằm ở mục viết lisp theo yêu cầu
  • 1

#19 tamtron

tamtron

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 19 June 2009 - 05:38 AM

Đã có lisp này rồi. Mình nhớ không nhầm thì nó nằm ở mục viết lisp theo yêu cầu


Em đã cố seach nhưng có lẽ từ ngữ ko chính xác nên ko có, anh cố nhớ lại xem nó ở đâu hộ em, thks nhiều
  • 0

#20 trinhcongty

trinhcongty

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 June 2009 - 07:35 AM

hi ! Mình vừa xin được cai lisp để in tất cả các bản vẽ trong layuot một ượt mà đỡ tốn công pick nhiều lần,ai cần thi liên hệ nhé tyvcctgmail.com .minh không post lên vì mình thấy trên diễn dàn đã có lisp của anh Hoành rất hay roài
  • 0
01..........Anh lang thang giữa gió xuân lộng lộng .................................09
02.................Bỗng lá vàng rơi rụng đáp vai anh ...........................................08
03.........................Anh bâng khuâng nhớ mối tình dang dở .....................................07
04..............................Bỗng lăn dài ôi giọt lệ đơn côi......................................................06